package cn.com.ctop.kuaishou.modules.batch.service;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IKuaiShouMaterialUploadService {
    JSONObject video(String url, Integer type, Long accountId, String accessToken, String signature);

    String kuauiShouImageUpload(String url, String signature, Long accountId, String token);

    JSONObject kuauiShouImageUploadOnly(String url, String signature, Long accountId, String token);

    String exceptInfoForRestTemplate(String url, Map<String, Object> paramMap, Map<String, String> headerMap);
}
